SystemOrganization addCategory: #'Metacello-TestsPlatform'!

!MCFtpRepository methodsFor: '*metacello-testsplatform' stamp: 'dkh 12/7/2009 14:32'!
directory

	^directory! !

!MCFtpRepository methodsFor: '*metacello-testsplatform' stamp: 'dkh 12/7/2009 14:32'!
host

	^host! !

TestCase subclass: #MetacelloRepositoryPharoTestCase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Metacello-TestsPlatform'!

!MetacelloRepositoryPharoTestCase methodsFor: 'baselines' stamp: 'dkh 12/8/2009 12:10'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #squeakCommon do: [
		spec 
			package: 'Example-Core' with: [ 
				spec 
					includes: 'Example-AddOn';
					file: 'Example-Core-anon.1';
					repository: 'ftp://ftp.example.com/examples' ]].
! !

!MetacelloRepositoryPharoTestCase methodsFor: 'accessing' stamp: 'dkh 12/7/2009 14:49'!
project

	| constructor project |
	"Construct Metacello project"
	constructor := MetacelloVersionConstructor on: self.
	project := constructor project.
	project loader: MetacelloNullRecordingMCSpecLoader new.
	^project! !

!MetacelloRepositoryPharoTestCase methodsFor: 'tests' stamp: 'dkh 12/7/2009 14:48'!
testFtpRepository

	| project pkg repoSpec repo |
	project := self project.
	pkg := (project version: '1.0-baseline') packageNamed: 'Example-Core'.
	repoSpec := pkg repositorySpecs first.
	self assert: repoSpec type = 'ftp'.
	repo := repoSpec createRepository.
	self assert: repo class == MCFtpRepository.
	self assert: repo host = 'ftp.example.com'.
	self assert: repo directory = 'examples'.
	! !
